GNU Radio's CDMA Package

Public Member Functions | List of all members
gr::cdma::amp_var_est_impl Class Reference

`#include <amp_var_est_impl.h>`

Inheritance diagram for gr::cdma::amp_var_est_impl:
[legend]

## Public Member Functions
float | alpha () const
void | set_alpha (float alpha)
| amp_var_est_impl (float alpha)
| ~amp_var_est_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
virtual float | alpha () const =0
virtual void | set_alpha (float k)=0

## Additional Inherited Members
Public Types inherited from gr::cdma::amp_var_est
typedef boost::shared_ptr< amp_var_est > | sptr
Static Public Member Functions inherited from gr::cdma::amp_var_est
static sptr | make (float alpha)
| Return a shared_ptr to a new instance of cdma::amp_var_est. More...

## Constructor & Destructor Documentation

## ◆ amp_var_est_impl()

gr::cdma::amp_var_est_impl::amp_var_est_impl | ( | float | alpha | ) |

## ◆ ~amp_var_est_impl()

gr::cdma::amp_var_est_impl::~amp_var_est_impl | ( |  | ) |

## Member Function Documentation

## ◆ alpha()

float gr::cdma::amp_var_est_impl::alpha | ( |  | ) | const
| inline virtual

Implements gr::cdma::amp_var_est.

Referenced by set_alpha().

## ◆ set_alpha()

void gr::cdma::amp_var_est_impl::set_alpha | ( | float | alpha | ) |
| inline virtual

Implements gr::cdma::amp_var_est.

References alpha().

## ◆ work()

int gr::cdma::amp_var_est_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- amp_var_est_impl.h